<?php
  $base_url = $request->getBaseUrl(); 
  //Nom du fichier export
  $sitefouille_nom_secure = preg_replace('/ /', '_', strtolower($sitefouille_info->get('nom','Accent')) );
  
/* Tableau des Eléments Recueillis par statut */

$statutNA = utf8_encode("Non déterminé");

$data_er_status = array() ; 

foreach ($statut_elementrecueillis as $er_statut ) {    
	if($er_statut->get('statut') == "NA"){
		$temp = array($statutNA, $er_statut->get('nb_er'));
	}                    
	else{
		$data_er_status[] =array($er_statut->get('statut'), $er_statut->get('nb_er') );
	}
} 

if(isset($temp)){
	array_push($data_er_status,$temp);
}

$json_er_status = json_encode($data_er_status, JSON_NUMERIC_CHECK | JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;

// identifiant unique de la div d'affichage 
$unique_div = rand();
?>

<script type="text/javascript">
  var json_er_status = <?php  echo $json_er_status  ; ?> ; 

  $(function(){
    $('#container_er_statut_bar_<?php echo $unique_div  ; ?>').highcharts({
        credits: {
          enabled: false
        },
        chart: { type: 'column' },
        title: { text: '' },
        xAxis: {
            type: 'category',
            labels: {
                rotation: -45,
                style: {
                    fontSize: '13px',
                    fontFamily: 'Verdana, sans-serif'
                }
            }
        },
        yAxis: {
            min: 0,
            title: { text: null },
        	allowDecimals:false
        },
        
        legend: { enabled: false },
        tooltip: { enabled:false
          //pointFormat: 'Statut : <b>{point.y} </b>' 
          // pointFormat: 'Statut : <b>{point.y:.1f} </b>' // valeur numerique avec decimale
        },
        series: [{
            name: 'Status',
            data: json_er_status,
            dataLabels: {
                enabled: false,
                // rotation: -90,
                //color: '#7F7F7F',
                align: 'right',
                x: 3,
                y: 4,
                style: {
                    fontSize: '13px',
                    fontFamily: 'Verdana, sans-serif',
                    textShadow: '0 0 3px black'
                }
            }
        }],
        exporting: {
          enabled: false,
          filename: '<?php  echo $sitefouille_nom_secure.'_er_statut_bar-charts'  ; ?>'
        }
    });
    $('a').click(function(){ 
    	setTimeout(function(){
    		$('#container_er_statut_bar_<?php echo $unique_div  ; ?>').highcharts().reflow();
    		},100);            	            	
    });
});
</script>


<!-- Rappel Titre Onglets -->
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_statut_bar">
			<div id="container_er_statut_bar_<?php echo $unique_div  ; ?>" class="container_stats">
			</div>                                   
      </div>
    </div>
  </div>
</div>
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_statut_list" class="container_liste">
      	<table class="container_list">
			<?php
			
				for($i=0;$i<count($data_er_status);$i++){
					echo "<tr><td><b> ".$data_er_status[$i][0]."</b></td><td> ".$data_er_status[$i][1]." </td></tr>";
				}
			
			?>
		</table>
      </div>
    </div>
    
  </div>
</div>